Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.cwru.SimpleRTS.model.unit
Class UnitTemplate.UnitTemplateView

    java.lang.Object
      edu.cwru.SimpleRTS.model.Template.TemplateView
          edu.cwru.SimpleRTS.model.unit.UnitTemplate.UnitTemplateView

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  UnitTemplate

    public static class UnitTemplate.UnitTemplateView

extends Template.TemplateView
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`UnitTemplate.UnitTemplateView(UnitTemplate template)`

Method Summary
`boolean` | `canAcceptGold()`
`boolean` | `canAcceptWood()`
`boolean` | `canAttack()`
`boolean` | `canBuild()`
`boolean` | `canGather()`
`boolean` | `canMove()`
`boolean` | `canProduce(java.lang.Integer templateID)`
`int` | `getArmor()`
`int` | `getBaseHealth()`
`int` | `getBasicAttack()`
`char` | `getCharacter()`
`int` | `getFoodProvided()`
`int` | `getPiercingAttack()`
`int` | `getRange()`
`int` | `getSightRange()`
`java.lang.String` | `getUnitName()`

Methods inherited from class edu.cwru.SimpleRTS.model.Template.TemplateView
`canProduce, getFoodCost, getGoldCost, getID, getPlayer, getTimeCost, getWoodCost`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnitTemplate.UnitTemplateView

    public UnitTemplate.UnitTemplateView(UnitTemplate template)

Method Detail

### canGather

    public boolean canGather()

### canBuild

    public boolean canBuild()

### canMove

    public boolean canMove()

### canAttack

    public boolean canAttack()

### getUnitName

    public java.lang.String getUnitName()

### getBaseHealth

    public int getBaseHealth()

### getBasicAttack

    public int getBasicAttack()

### getPiercingAttack

    public int getPiercingAttack()

### getRange

    public int getRange()

### getArmor

    public int getArmor()

### getSightRange

    public int getSightRange()

### canProduce

    public boolean canProduce(java.lang.Integer templateID)

### getCharacter

    public char getCharacter()

### canAcceptGold

    public boolean canAcceptGold()

### canAcceptWood

    public boolean canAcceptWood()

### getFoodProvided

    public int getFoodProvided()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD